<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$assetclass_id = sanitize($_GET['assetclass_id']);

include("header.php");

$sql = "SELECT assetclass_id AS id, assetclass_name AS name
        FROM assetclass
	WHERE assetclass_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$assetclass_id]);
$smarty->assign("assetclass", $sth->fetch(PDO::FETCH_OBJ));

$smarty->display("assetclassdel.tpl");

include("footer.php");
?>
