<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");

$asset_id = sanitize($_GET['asset_id']);

include("header.php");
	
$sql = "SELECT asset_id, asset_name, asset_hostname, asset_info, assetclass_id
	FROM asset
	WHERE asset_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$asset_id]);
$smarty->assign("asset", $sth->fetch(PDO::FETCH_OBJ));

$smarty->assign("assetclass_options", db_get_options_assetclass());

$smarty->display("assetedit.tpl");

include("footer.php");
?>
