<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
		
$user_id = sanitize($_GET['user_id']);
		
include("header.php");

$sql = "SELECT user_id AS id, user_name AS name, user_displayname AS displayname,
            user_realm as realm
        FROM user
        WHERE user_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$user_id]);
$smarty->assign("user", $sth->fetch(PDO::FETCH_OBJ));

$smarty->display("userview.tpl");

include("footer.php");
?>
