<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
		
$vlan_id = sanitize($_GET['vlan_id']);
		
include("header.php");
		
// vlan
$sql = "SELECT vlan_name, vlan_number FROM vlan WHERE vlan_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$vlan_id]);
$smarty->assign("vlan", $sth->fetch(PDO::FETCH_OBJ));

$smarty->assign("subnet_options", db_get_options_subnet());

$smarty->display("vlansubnetdel.tpl");

include("footer.php");
?>
